//---------------------------------------------------------------------------
#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "RichView.hpp"
#include "RVEdit.hpp"
#include "RVScroll.hpp"
#include "RVStyle.hpp"
#include <ComCtrls.hpp>
#include <Dialogs.hpp>
#include <ExtCtrls.hpp>
#include <Graphics.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
    TPageControl *PageControl1;
    TTabSheet *TabSheet1;
    TPanel *Panel1;
    TLabel *Label1;
    TComboBox *cmbA;
    TButton *btnOpenA;
    TRichViewEdit *rveA;
    TTabSheet *TabSheet2;
    TPanel *Panel2;
    TLabel *Label2;
    TComboBox *cmbH;
    TButton *btnOpenH;
    TRichViewEdit *rveH;
    TRVStyle *rvsA;
    TRVStyle *rvsH;
    TOpenDialog *od;
    void __fastcall FormCreate(TObject *Sender);
    void __fastcall cmbAClick(TObject *Sender);
    void __fastcall cmbHClick(TObject *Sender);
    void __fastcall btnOpenAClick(TObject *Sender);
    void __fastcall btnOpenHClick(TObject *Sender);
private:	// User declarations
    void FillComboBox(TComboBox* cmb, TFontCharset Charset);
    void ApplyFont(const UnicodeString FontName, TRVStyle* rvs,
      TFontCharset Charset, TRichViewEdit* rve);
    void OpenFile(TRichViewEdit* rve);
public:		// User declarations
    TFontCharset CurrentCharset;
    bool Found;
    __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
